public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: sci-geosciences/geographiclib/
Date: Sat,  4 Apr 2020 22:12:24 +0000 (UTC)	[thread overview]
Message-ID: <1586038340.2baf045e3e5e57ac7b9b921d34178ef69280c3c8.Alessandro-Barbieri@gentoo> (raw)

commit:     2baf045e3e5e57ac7b9b921d34178ef69280c3c8
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Apr  4 22:11:49 2020 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Apr  4 22:12:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2baf045e

sci-geosciences/geographiclib: fixed python and doc install

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 .../geographiclib/geographiclib-1.50.ebuild        | 32 ++++++++++------------
 sci-geosciences/geographiclib/metadata.xml         |  2 +-
 2 files changed, 16 insertions(+), 18 deletions(-)

diff --git a/sci-geosciences/geographiclib/geographiclib-1.50.ebuild b/sci-geosciences/geographiclib/geographiclib-1.50.ebuild
index a880de3..7f8a351 100644
--- a/sci-geosciences/geographiclib/geographiclib-1.50.ebuild
+++ b/sci-geosciences/geographiclib/geographiclib-1.50.ebuild
@@ -94,8 +94,6 @@ LICENSE="
 	magnetic? ( public-domain )
 "
 
-RESTRICT="primaryuri"
-
 RDEPEND="
 	>=dev-libs/boost-1.65.0
 "
@@ -118,9 +116,6 @@ src_prepare() {
 #	sed -i "s|CXXFLAGS = -g -Wall -Wextra -O3 -std=c++0x||" tools/Makefile.mk || die
 #	sed -i "s|CXXFLAGS = -g -Wall -Wextra -O3 -std=c++0x||" src/Makefile.mk || die
 
-	default
-
-	# FATAL: cmake_src_prepare has not been run
 	cmake_src_prepare
 
 	if use python; then
@@ -138,7 +133,7 @@ src_configure() {
 	use precision_quad		&& precision="4"
 	use precision_single		&& precision="1"
 
-	export GEODATAPATH="/usr/share/GeographicLib"
+	export GEODATAPATH="/usr/share/${P}"
 
 	local mycmakeargs=(
 		-DGEOGRAPHICLIB_DOCUMENTATION=$(usex doc ON OFF)
@@ -146,31 +141,29 @@ src_configure() {
 		-DUSE_BOOST_FOR_EXAMPLES=$(usex boost ON OFF)
 		-DGEOGRAPHICLIB_PRECISION="${precision}"
 		-DGEOGRAPHICLIB_DATA="${GEODATAPATH}"
-		-DCMAKE_INSTALL_PREFIX="/usr"
 	)
-
 	cmake_src_configure
 }
 
 src_compile() {
+	cmake_src_compile
+
 	if use python; then
 		cd "python" || die
 		python_foreach_impl distutils-r1_python_compile
 		cd ".." || die
 	fi
-
-	default
 }
 
 src_test() {
+	# Only 1 failing test in the C code, python passes for me
+	cmake_src_test
+
 	if use python; then
 		cd "python" || die
 		python_foreach_impl python_test
 		cd ".." || die
 	fi
-
-	# Only 1 failing test in the C code, python passes for me
-	default
 }
 
 src_install() {
@@ -181,13 +174,18 @@ src_install() {
 	insinto "${GEODATAPATH}/magnetic"
 	use magnetic && doins -r "${WORKDIR}"/magnetic/.
 
+	cmake_src_install
+
 	if use python; then
 		cd "python" || die
-		distutils-r1_python_install_all
+		python_foreach_impl distutils-r1_python_install
 		cd ".."
 	fi
-	# Access denied, make file needs patching
-	# to correctly install in ${D}
-	default
+
 	#TODO: find out if java stuff need something
+
+	rm -rf "${D}/usr/$(get_libdir)/python" || die
+
+	use doc && mkdir -p "${D}/usr/share/${P}" || die
+	use doc && mv "${D}/usr/share/doc/${MY_PN}" "${D}/usr/share/${P}/doc" || die
 }

diff --git a/sci-geosciences/geographiclib/metadata.xml b/sci-geosciences/geographiclib/metadata.xml
index 589c87f..2687621 100644
--- a/sci-geosciences/geographiclib/metadata.xml
+++ b/sci-geosciences/geographiclib/metadata.xml
@@ -12,7 +12,7 @@
 	<use>
 		<flag name="boost">Boost library is searched for in order to build the NearestNeighbor example</flag>
 		<flag name="gravity">Install the gravity models</flag>
-		<flag name="geoids">Install the geoids datasets</flag>
+		<flag name="geoids">Install the geoid datasets</flag>
 		<flag name="magnetic">Install the magnetic field models</flag>
 		<flag name="geoids_dataset_egm84-30">http://earth-info.nga.mil/GandG/wgs84/gravitymod/wgs84_180/wgs84_180.html 30' grid</flag>
 		<flag name="geoids_dataset_egm84-15">http://earth-info.nga.mil/GandG/wgs84/gravitymod/wgs84_180/wgs84_180.html 15' grid</flag>


             reply	other threads:[~2020-04-04 22:12 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-04 22:12 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-12-18 19:05 [gentoo-commits] repo/proj/guru:master commit in: sci-geosciences/geographiclib/ Andrew Ammerlaan
2020-12-18 17:46 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-28 21:04 Alessandro Barbieri
2020-04-12  6:22 Alessandro Barbieri
2020-04-10 23:55 Alessandro Barbieri
2020-04-10 22:27 Alessandro Barbieri
2020-04-09  6:14 Alessandro Barbieri
2020-04-08 19:30 Alessandro Barbieri
2020-04-06 18:01 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-06 17:42 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-06 18:00 Andrew Ammerlaan
2020-04-03 17:05 Alessandro Barbieri
2020-04-02 20:40 Andrew Ammerlaan
2020-04-02 18:18 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1586038340.2baf045e3e5e57ac7b9b921d34178ef69280c3c8.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox